Skip to content

Billing & Usage History

All operations require authentication.

18 operationsv1/telephony/{billingAccount}
View as Markdown (opens in a new tab)
Agent setup

List allowed credit thresholdsProduction

GET
/v1/telephony/{billingAccount}/allowedCreditThreshold

List allowed credit thresholds. Returns the credit thresholds allowed for the billing account. Use one of them to update the billing account.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200Price[]successful operation
currencyCode
CurrencyCodeEnum
—
ValuesAUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpoints
text
string
—
value
number
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/allowedCreditThreshold \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "currencyCode": "AUD", "text": "string", "value": 0 }]

List security deposit amountsProduction

GET
/v1/telephony/{billingAccount}/amountSecurityDeposit

List security deposit amounts. Returns the security deposit amounts that can be ordered for the billing account, as prices.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200Price[]successful operation
currencyCode
CurrencyCodeEnum
—
ValuesAUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpoints
text
string
—
value
number
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/amountSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "currencyCode": "AUD", "text": "string", "value": 0 }]

Check a security deposit transferProduction

POST
/v1/telephony/{billingAccount}/canTransferSecurityDeposit

Check a security deposit transfer. Checks whether the security deposit can be transferred to another billing account, given by its name.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

billingAccountDestination
required
string

The destination billing account

Response

200booleansuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/canTransferSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List billed consumptionsProduction

GET
/v1/telephony/{billingAccount}/historyConsumption

List billed consumptions. Returns the dates of the billed consumptions. Get a billed consumption for its price, out-of-plan price and status.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a billed consumptionProduction

GET
/v1/telephony/{billingAccount}/historyConsumption/{date}

Get a billed consumption. Returns the billed consumption: date, price, out-of-plan price and status of the bill.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate
—

Response

200HistoryConsumptionsuccessful operation
date
read-only
stringdate
—
price
read-only
Price

Price with it's currency and textual representation

priceOutplan
read-only
Price

Price with it's currency and textual representation

status
read-only
BillStatusEnum

Billing progress status

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get billed consumption filesProduction

GET
/v1/telephony/{billingAccount}/historyConsumption/{date}/file

Get billed consumption files. Returns a file of the billed consumption to download, in received.csv, csv, pdf or xml format.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate
—

Query parameters

extension
required
BillDocument

Document suffix

Valuescsvpdfreceived.csvxml

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyConsumption/{date}/file \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List repayment billsProduction

GET
/v1/telephony/{billingAccount}/historyRepaymentConsumption

List repayment bills. Returns the dates of the repayment bills. Get a repayment bill for its amount, bill number and status.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyRepaymentConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a repayment billProduction

GET
/v1/telephony/{billingAccount}/historyRepaymentConsumption/{date}

Get a repayment bill. Returns the repayment bill: date, amount repaid, bill number and status of the repayment.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200HistoryRepaymentConsumptionsuccessful operation
billingNumber
read-only
string

the number of the bill

date
read-only
stringdate

date of the bill

price
read-only
Price

the amout which is repayed

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyRepaymentConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Request a repaymentProduction

POST
/v1/telephony/{billingAccount}/historyRepaymentConsumption

Request a repayment. Requests a repayment for the repayable calls, with the number of the bill. Returns the repayment bill.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

billingNumber
string

The number of the bill

Response

200HistoryRepaymentConsumptionsuccessful operation
billingNumber
read-only
string

the number of the bill

date
read-only
stringdate

date of the bill

price
read-only
Price

the amout which is repayed

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyRepaymentConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get the bill as CSVProduction

GET
/v1/telephony/{billingAccount}/historyRepaymentConsumption/{date}/document

Get the bill as CSV. Returns a file to download the repayment bill as a CSV document, with its URL and expiration date.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyRepaymentConsumption/{date}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List toll-free billsProduction

GET
/v1/telephony/{billingAccount}/historyTollfreeConsumption

List toll-free bills. Returns the dates of the toll-free bills. Get a toll-free bill for the amount paid by the called number.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyTollfreeConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a toll-free billProduction

GET
/v1/telephony/{billingAccount}/historyTollfreeConsumption/{date}

Get a toll-free bill. Returns the toll-free bill: date, amount paid by the called number, and status of the bill.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200HistoryTollfreeConsumptionsuccessful operation
date
read-only
stringdate

date of the bill

price
read-only
Price

the amount which is paid by the called number

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyTollfreeConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get the bill as CSVProduction

GET
/v1/telephony/{billingAccount}/historyTollfreeConsumption/{date}/document

Get the bill as CSV. Returns a file to download the toll-free bill as a CSV document, with its URL and expiration date.

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/historyTollfreeConsumption/{date}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List out-of-plan alertsProduction

GET
/v1/telephony/{billingAccount}/outplanNotification

List out-of-plan alerts. Returns the identifiers of the out-of-plan alerts. An alert notifies when out-of-plan consumption reaches a threshold.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/outplanNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an out-of-plan alertProduction

GET
/v1/telephony/{billingAccount}/outplanNotification/{id}

Get an out-of-plan alert. Returns the out-of-plan alert: percentage of the maximum out-of-plan, block applied to the lines and notification email.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

Response

200ConsumptionThresholdsuccessful operation
block
read-only
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
id
read-only
integer

The id of the notification

notifyEmail
read-only
string

Override the nichandle email for this notification

percentage
read-only
number

The notification percentage of maximum outplan

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/outplanNotification/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}

Create an out-of-plan alertProduction

POST
/v1/telephony/{billingAccount}/outplanNotification

Create an out-of-plan alert. Creates an alert at a percentage of the maximum out-of-plan, with a block (none, incoming, outgoing or all calls) and an optional email.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

block
required
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
notifyEmail
string

Override the nichandle email for this notification

percentage
required
number

The notification percentage of maximum outplan

Response

200ConsumptionThresholdsuccessful operation
block
read-only
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
id
read-only
integer

The id of the notification

notifyEmail
read-only
string

Override the nichandle email for this notification

percentage
read-only
number

The notification percentage of maximum outplan

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/outplanNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}

Delete an out-of-plan alertProduction

DELETE
/v1/telephony/{billingAccount}/outplanNotification/{id}

Delete an out-of-plan alert. Deletes the out-of-plan alert. No notification or block is applied any more when its threshold is reached.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/outplanNotification/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Transfer the security depositProduction

POST
/v1/telephony/{billingAccount}/transferSecurityDeposit

Transfer the security deposit. Transfers an amount of the security deposit, in euros, to another billing account given by its name.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

amount
required
integer

The amount, in euros, you want to transfer

billingAccountDestination
required
string

The destination billing account

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/transferSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"